## org.beepcore.beep.core
Interface Message

All Known Subinterfaces:
  MessageMSG

All Known Implementing Classes:
  MessageImpl

public interface Message

This interface represents the operations available for all types of messages.

Field Summary
`static int` `MESSAGE_TYPE_ANS` BEEP ANS message.
`static int` `MESSAGE_TYPE_ERR` BEEP ERR message.
`static int` `MESSAGE_TYPE_MSG` BEEP MSG message.
`static int` `MESSAGE_TYPE_NUL` BEEP NUL message.
`static int` `MESSAGE_TYPE_RPY` BEEP RPY message.
`static int` `MESSAGE_TYPE_UNK` Uninitialized `Message`.

Method Summary
`int` `getAnsno()` Returns the answer number of this `Message`.
`Channel` `getChannel()` Returns the `Channel` on which this `Message` was received.
`InputDataStream` `getDataStream()` Returns `InputDataStream` containing the payload for this `Message`.
`int` `getMessageType()` Returns the message type of this `Message`.
`int` `getMsgno()` Returns the message number of this `Message`.
`MessageStatus` `sendANS(OutputDataStream stream)` Deprecated. use method on MessageMSG instead.
`MessageStatus` `sendERR(BEEPError error)` Deprecated. use method on MessageMSG instead.
`MessageStatus` `sendERR(int code, java.lang.String diagnostic)` Deprecated. use method on MessageMSG instead.
`MessageStatus` `sendERR(int code, java.lang.String diagnostic, java.lang.String xmlLang)` Deprecated. use method on MessageMSG instead.
`MessageStatus` `sendNUL()` Deprecated. use method on MessageMSG instead.
`MessageStatus` `sendRPY(OutputDataStream stream)` Deprecated. use method on MessageMSG instead.

Field Detail

### MESSAGE_TYPE_UNK

    public static final int MESSAGE_TYPE_UNK

  Uninitialized `Message`.

  See Also:
    Constant Field Values

### MESSAGE_TYPE_MSG

    public static final int MESSAGE_TYPE_MSG

  BEEP MSG message.

  See Also:
    Constant Field Values

### MESSAGE_TYPE_RPY

    public static final int MESSAGE_TYPE_RPY

  BEEP RPY message.

  See Also:
    Constant Field Values

### MESSAGE_TYPE_ERR

    public static final int MESSAGE_TYPE_ERR

  BEEP ERR message.

  See Also:
    Constant Field Values

### MESSAGE_TYPE_ANS

    public static final int MESSAGE_TYPE_ANS

  BEEP ANS message.

  See Also:
    Constant Field Values

### MESSAGE_TYPE_NUL

    public static final int MESSAGE_TYPE_NUL

  BEEP NUL message.

  See Also:
    Constant Field Values

Method Detail

### getDataStream

    public InputDataStream getDataStream()

  Returns `InputDataStream` containing the payload for this `Message`.

  See Also:
    `InputDataStream`

### getChannel

    public Channel getChannel()

  Returns the `Channel` on which this `Message` was received.

  See Also:
    `Channel`

### getMsgno

    public int getMsgno()

  Returns the message number of this `Message`.

### getAnsno

    public int getAnsno()

  Returns the answer number of this `Message`.

### getMessageType

    public int getMessageType()

  Returns the message type of this `Message`.

### sendANS

    public MessageStatus sendANS(OutputDataStream stream)
                          throws BEEPException

  Deprecated. use method on MessageMSG instead.

  Throws:
    `BEEPException`

### sendERR

    public MessageStatus sendERR(BEEPError error)
                          throws BEEPException

  Deprecated. use method on MessageMSG instead.

  Throws:
    `BEEPException`

### sendERR

    public MessageStatus sendERR(int code,
                                 java.lang.String diagnostic)
                          throws BEEPException

  Deprecated. use method on MessageMSG instead.

  Throws:
    `BEEPException`

### sendERR

    public MessageStatus sendERR(int code,
                                 java.lang.String diagnostic,
                                 java.lang.String xmlLang)
                          throws BEEPException

  Deprecated. use method on MessageMSG instead.

  Throws:
    `BEEPException`

### sendNUL

    public MessageStatus sendNUL()
                          throws BEEPException

  Deprecated. use method on MessageMSG instead.

  Throws:
    `BEEPException`

### sendRPY

    public MessageStatus sendRPY(OutputDataStream stream)
                          throws BEEPException

  Deprecated. use method on MessageMSG instead.

  Throws:
    `BEEPException`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.